get
https://api.sumsub.com/resources/kyt/txns//notes
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Use this method to retrieve all the notes added to the specific transaction.
Required permissions
To use this method, your app token must have the View TM transactions permission.
Request example
curl -X GET \
'https://api.sumsub.com/resources/kyt/txns/66c46d7566f5244e45a81167/notes' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>'Response explained
The response is a JSON file representing the list of notes added to the specified transaction.
The following tables explain the element fields of the response body.
| Field | Type | Description |
|---|---|---|
items | Array of objects | Each item is an object representing the note with its details. |
totalItems | Integer | Total number of the notes found. |
items element fields
items element fieldsThe following table explains the items element fields representing the note details.
| Field | Type | Description |
|---|---|---|
id | String | Note identifier. You may need it in case you want to edit the note or remove it . |
txnId | String | Unique transaction identifier in the Sumsub system. |
note | String | Text of the note that was added to the transaction. |
createdAt | Date | Date and time when the note was added. |
createdBy | String | Identifier of the note author. |
Response examples
If the request is sent and processed successfully, you will receive a response like the following:
{
"list": {
"items": [
{
"id": "66ceed13d427a60000000000",
"txnId": "66c46d7566f5240000000000",
"note": "This is a test note",
"createdAt": "2024-08-28 09:25:39+0000",
"createdBy": "service-prd-JYHGDETVKPUYTFD-app-name lastname"
},
{
"id": "66cf0fcec9ba850000000000",
"txnId": "66c46d7566f5240000000000",
"note": "Another test note",
"createdAt": "2024-08-28 11:53:50+0000",
"createdBy": "service-prd-XXXGDETVKPUYYYY-app-name lastname"
}
],
"totalItems": 2
}
}If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:
{
"description": "Invalid id '66c46d71231566f5244e45a81167'",
"code": 400,
"correlationId": "955bce80ffb06f470d4bd7665f02f2df"
}